#ifndef _LINUX_VROOT_H
#define _LINUX_VROOT_H

#include <linux/kdev_t.h>

/*
 * linux/drivers/block/vroot.h
 *
 * Written by Herbert Ptzl, 9/11/2002
 *
 * Copyright 2002-2003 by Herbert Ptzl.  
 * Redistribution of this file is
 * permitted under the GNU General Public License.
 *
 */

#ifdef __KERNEL__

/* Possible states of device */
enum {
	Vr_unbound,
	Vr_bound,
};

struct vroot_device {
	int		vr_number;
	int		vr_refcnt;

	struct semaphore	vr_ctl_mutex;
	kdev_t		    	vr_device;
	int			vr_state;
};

#endif /* __KERNEL__ */

/*
 * IOCTL commands --- we will commandeer 0x56 ('V')
 */

#define VROOT_SET_DEV		0x5600
#define VROOT_CLR_DEV		0x5601
#define VROOT_INC_USE		0x56FE
#define VROOT_DEC_USE		0x56FF

#endif
